## AgsRecallDependency

AgsRecallDependency — Recall dependency

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_RECALL_DEPENDENCY_GET_OBJ_MUTEX()
GList * | ags_recall_dependency_find_dependency ()
GList * | ags_recall_dependency_find_dependency_by_provider ()
GObject * | ags_recall_dependency_resolve ()
AgsRecallDependency * | ags_recall_dependency_new ()

## Properties

AgsRecall * | dependency | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecallDependency

## Includes

    #include <ags/audio/ags_recall_dependency.h>

## Description

AgsRecallDependency specifies dependencies on other recalls. Dependencies are resolved during initialization.

## Functions

### AGS_RECALL_DEPENDENCY_GET_OBJ_MUTEX()

    #define AGS_RECALL_DEPENDENCY_GET_OBJ_MUTEX(obj) (&(((AgsRecallDependency *) obj)->obj_mutex))

### ags_recall_dependency_find_dependency ()

    GList *
    ags_recall_dependency_find_dependency (GList *recall_dependency,
                                           GObject *dependency);

Retrieve dependency.

#### Parameters

recall_dependency | the GList containing AgsRecallDependency. | [element-type AgsAudio.RecallDependency][transfer none]
dependency | the AgsRecall depending on |

#### Returns

next matching GList or `NULL`.

[element-type AgsAudio.RecallDependency][transfer none]

Since: 3.0.0

### ags_recall_dependency_find_dependency_by_provider ()

    GList *
    ags_recall_dependency_find_dependency_by_provider
                                   (GList *recall_dependency,
                                    GObject *provider);

Retrieve dependency by provider.

#### Parameters

recall_dependency | the GList containing AgsRecallDependency. | [element-type AgsAudio.RecallDependency][transfer none]
provider | the object providing recall, like AgsAudio or AgsChannel |

#### Returns

next matching GList or `NULL`.

[element-type AgsAudio.RecallDependency][transfer none]

Since: 3.0.0

### ags_recall_dependency_resolve ()

    GObject *
    ags_recall_dependency_resolve (AgsRecallDependency *recall_dependency,
                                   AgsRecallID *recall_id);

Resolve dependency.

#### Parameters

recall_dependency | an AgsRecallDependency |
recall_id | the AgsRecallID refering to |

#### Returns

the AgsRecall dependency.

[transfer none]

Since: 3.0.0

### ags_recall_dependency_new ()

    AgsRecallDependency *
    ags_recall_dependency_new (GObject *dependency);

Creates an AgsRecallDependency

#### Parameters

dependency | the AgsRecall depending on |

#### Returns

the new AgsRecallDependency

Since: 3.0.0

## Property Details

### The `“dependency”` property

      “dependency”               AgsRecall *

The dependency.

Owner: AgsRecallDependency

Flags: Read / Write

Since: 3.0.0